<div class="grid">
  <div class="col-12">
    <p-table [value]="users$ | async">
      <ng-template pTemplate="caption">
        <p-fileUpload mode="basic" chooseLabel="Upload users" name="file"
                      accept="text/csv" (onSelect)="onUpload($event)"></p-fileUpload>
      </ng-template>
      <ng-template pTemplate="header">
        <tr>
          <th>Name</th>
          <th>Email</th>
          <th>Username</th>
          <td *ngIf="hasAccess()">
            <p-button [rounded]="true" icon="pi pi-plus" class="p-button-icon"
                      (onClick)="showUserCreationWindow()"></p-button>
          </td>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-user>
        <tr>
          <td>{{ user.firstName + ' ' + user.lastName }}</td>
          <td>{{ user.email }}</td>
          <td>{{ user.username }}</td>
        </tr>
      </ng-template>
    </p-table>
  </div>
</div>

<div *ngIf="hasUserCreationAccess()">
  <p-dialog *ngIf="userCreationWindowVisibility" [header]="getTitle()"
            [modal]="true"
            [visible]="userCreationWindowVisibility"
            [style]="{ width: '50vw', height: '500px' }"
            [draggable]="false"
            [resizable]="false"
            (onHide)="hideUserCreationWindow()">
    <div class="grid" [formGroup]="formGroup">

      <div class="col-2"><span class="font-bold">First name</span></div>
      <div class="col-10">
        <input pInputText formControlName="firstName">
      </div>

      <div class="col-2"><span class="font-bold">Last name</span></div>
      <div class="col-10">
        <input pInputText formControlName="lastName">
      </div>

      <div class="col-2"><span class="font-bold">Email</span></div>
      <div class="col-10">
        <input pInputText formControlName="email">
      </div>

      <div class="col-2"><span class="font-bold">Username*</span></div>
      <div class="col-10">
        <input pInputText formControlName="username">
      </div>

      <div class="col-2"><span class="font-bold">Password*</span></div>
      <div class="col-10">
        <input pInputText type="password" formControlName="password">
      </div>
      <div class="col-2">
        <p-button label="Save" (onClick)="createUser()"></p-button>
      </div>
    </div>
  </p-dialog>
</div>
